Bug 146304 - Some applications that use NPTL thread library crash if loaded by linuxthreads version (installed by default) of ld.so
Summary: Some applications that use NPTL thread library crash if loaded by linuxthread...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc   
(Show other bugs)
Version: 3
Hardware: alpha
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-26 20:49 UTC by Sergey Tikhonov
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-30 20:00:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to glibc CVS version of linuxthreads/sysdeps/alpha/tls.h (1.80 KB, patch)
2005-01-26 20:50 UTC, Sergey Tikhonov
no flags Details | Diff

Description Sergey Tikhonov 2005-01-26 20:49:14 UTC
Description of problem:
On Linux/Alpha (build from FC3 source packages)
some application (especially mozilla, firefox, konqueror, gij) crashes
when started by linuxthreads version of ld.so dynamic loader. If I use
NPTL version of ld.so - the application above started to work.

After some investigation the problem found in patch to the
glibc/linuxthreads/sysdeps/tls.h contained in fedora.patch distributed
with src.rpm of glibc.

The attached file contains patch to the original glibc CVS file that
fixes the problem.

Thank you,

Comment 1 Sergey Tikhonov 2005-01-26 20:50:24 UTC
Created attachment 110270 [details]
patch to glibc CVS version of linuxthreads/sysdeps/alpha/tls.h

Comment 2 Sergey Tikhonov 2005-03-30 19:10:06 UTC
Is there any chance for patch to be applied?
Is it possible be add Alpha to list of nptl arches?
Thank you.


Comment 3 Ulrich Drepper 2005-06-30 19:59:56 UTC
FC5 will have no LinuxThreads support anymore, therefore this will resolve
itself magically.

Comment 4 Ulrich Drepper 2005-06-30 20:00:58 UTC
I meant to close the bug...


Note You need to log in before you can comment on or make changes to this bug.